<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="85dp"
    android:layout_marginHorizontal="15dp"
    android:layout_marginVertical="6dp"
    app:cardBackgroundColor="@color/white"
    app:cardCornerRadius="10dp">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="horizontal">

        <androidx.cardview.widget.CardView
            android:layout_width="64dp"
            android:layout_height="64dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="10dp"
            app:cardCornerRadius="5dp"
            app:cardElevation="0dp">

            <ImageView
                android:id="@+id/iv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:ignore="ContentDescription" />

            <de.hdodenhof.circleimageview.CircleImageView
                android:layout_width="27dp"
                android:layout_height="27dp"
                android:layout_gravity="center"
                android:src="@mipmap/t_videoicon" />

        </androidx.cardview.widget.CardView>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="middle"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textSize="18sp"
                tools:text="1796-21.mp4" />

            <TextView
                android:id="@+id/tv_size"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:textColor="#6F6F70"
                android:textSize="12sp"
                tools:text="50.2 KB" />

        </LinearLayout>

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="10dp">

            <ImageView
                android:id="@+id/iv_download"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/xiazhai"
                android:visibility="gone"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/iv_finish"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/t_wancheng_download"
                android:visibility="gone"
                tools:ignore="ContentDescription" />

            <FrameLayout
                android:visibility="gone"
                android:id="@+id/fl_download"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <com.mikhaellopez.circularprogressbar.CircularProgressBar
                    android:id="@+id/circularProgressBar"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    app:cpb_background_progressbar_color="#E8E8F1"
                    app:cpb_background_progressbar_width="3dp"
                    app:cpb_progress_direction="to_left"
                    app:cpb_progress_max="100"
                    app:cpb_progressbar_color="#0570EC"
                    app:cpb_progressbar_width="3dp"
                    app:cpb_round_border="true" />

                <ImageView
                    android:id="@+id/iv_xiazai_zantin"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/xiazhaiz_download"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

        </FrameLayout>

    </LinearLayout>


</androidx.cardview.widget.CardView>